<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PRsupplierSea extends Model
{
    protected $table = 'pr_suppliers_sea';
    
    protected $fillable = [
        'purchase_request_sea_id','supplier_id','status','eta','supp_flag'
    ];

   public $timestamps = false;
   
    public function purchaseRequestsea()
    {
      return $this->belongsTo('App\PurchaseRequestSea','purchase_request_sea_id');
    }

    public function supplier()
    {
      return $this->belongsTo('App\Supplier','supplier_id');
    }

    public function prProduct()
    {
      return $this->belongsTo('App\PRproduct','pr_product_id');
    }

}
